Git-Url: 
http://git.frugalware.org/gitweb/gitweb.cgi?p=gnometesting.git;a=commitdiff;h=bbb578f8e932aa62ce918c977c8be4cb7672dd05

commit bbb578f8e932aa62ce918c977c8be4cb7672dd05
Author: crazy <cr...@frugalware.org>
Date:   Fri Mar 26 10:05:26 2010 +0100

soprano-2.4.1-1-x86_64
* Version bump

diff --git a/source/apps/soprano/FrugalBuild b/source/apps/soprano/FrugalBuild
index 02beeb3..0cd6b83 100644
--- a/source/apps/soprano/FrugalBuild
+++ b/source/apps/soprano/FrugalBuild
@@ -2,34 +2,24 @@
# Maintainer: crazy <cr...@frugalware.org>

pkgname=soprano
-pkgver=2.4.0.1
-pkgrel=3
+pkgver=2.4.1
+pkgrel=1
pkgdesc="RDF storage, parsing, and serialization framework"
_F_sourceforge_ext=".tar.bz2"
makedepends=('libgcj-awt' 'libqtgui') ## what for GUI ?
Finclude sourceforge kde java
-depends=("libqtnetwork>=$_F_kde_qtver" "libqtdbus>=$_F_kde_qtver" 'libgcc' 
'clucene>=0.9.21b' 'raptor')
+depends=("libqtnetwork>=$_F_kde_qtver" "libqtdbus>=$_F_kde_qtver" 'libgcc' 
'clucene>=0.9.21b' 'raptor>=1.4.21')
groups=('apps')
archs=('i686' 'x86_64' 'ppc')
options=('scriptlet')
source=($source gcj.patch no_verbose_thx.patch)
-sha1sums=('8455e16533ee6352594da5d5252d267fda75f4db' \
+sha1sums=('83ce403616cf8580f238e44903d8c813c73d0656' \
'2b165ad1ab178a7f8c5ad4cac86a6121c34183c7' \
'b2994b54615bf3e2e0c3daa142dc69e1d44c18fd')

-subpkgs=("${subpk...@]}" "$pkgname-backend-sesame2")
-subdescs=("${subdes...@]}" "Sesame2 storage Backend (java-based)")
-subdepends=("${subdepen...@]}" "libgcj>=4.4.3-2 libqtcore>=$_F_kde_qtver 
libgcc")
-subrodepends=("${subrodepen...@]}" "$pkgname=$pkgver")
-subgroups=("${subgrou...@]}" 'apps')
-subprovides=("${subprovid...@]}" "$pkgname-sesame2")
-subconflicts=("${subconflic...@]}" "$pkgname-sesame2")
-subreplaces=("${subreplac...@]}" "$pkgname-sesame2")
-subarchs=("${subarc...@]}" 'i686 x86_64 ppc')
-
subpkgs=("${subpk...@]}" "$pkgname-backend-redland")
subdescs=("${subdes...@]}" "Redland storage Backend")
-subdepends=("${subdepen...@]}" "libqtcore>=$_F_kde_qtver librdf libgcc mpfr 
curl libxslt libtool")
+subdepends=("${subdepen...@]}" "libqtcore>=$_F_kde_qtver librdf>=1.0.10-4 
libgcc mpfr curl libxslt libtool")
subrodepends=("${subrodepen...@]}" "$pkgname=$pkgver")
subprovides=("${subprovid...@]}" "")
subconflicts=("${subconflic...@]}" "")
@@ -37,9 +27,6 @@ subreplaces=("${subreplac...@]}" "")
subgroups=("${subgrou...@]}" 'apps')
subarchs=("${subarc...@]}" 'i686 x86_64 ppc')

-## Sadly for KDE 4.3.5 we have to do that :|
-rodepends=("${rodepen...@]}" "${subpk...@]}")
-
subpkgs=("${subpk...@]}" "$pkgname-backend-virtuoso")
subdescs=("${subdes...@]}" "Virtuoso storage Backend")
subdepends=("${subdepen...@]}" "libiodbc")
@@ -47,9 +34,20 @@ subrodepends=("${subrodepen...@]}" "$pkgname=$pkgver 
virtuoso")
subprovides=("${subprovid...@]}" "")
subconflicts=("${subconflic...@]}" "")
subreplaces=("${subreplac...@]}" "")
-subgroups=("${subgrou...@]}" 'apps-extra')
+subgroups=("${subgrou...@]}" 'apps')
subarchs=("${subarc...@]}" 'i686 x86_64 ppc')

+rodepends=("${rodepen...@]}" "${subpk...@]}")
+
+subpkgs=("${subpk...@]}" "$pkgname-backend-sesame2")
+subdescs=("${subdes...@]}" "Sesame2 storage Backend (java-based)")
+subdepends=("${subdepen...@]}" "libgcj>=4.4.3-2 libqtcore>=$_F_kde_qtver 
libgcc")
+subrodepends=("${subrodepen...@]}" "$pkgname=$pkgver")
+subgroups=("${subgrou...@]}" 'apps-extra')
+subprovides=("${subprovid...@]}" "$pkgname-sesame2")
+subconflicts=("${subconflic...@]}" "$pkgname-sesame2")
+subreplaces=("${subreplac...@]}" "$pkgname-sesame2")
+subarchs=("${subarc...@]}" 'i686 x86_64 ppc')

build()
{
_______________________________________________
Frugalware-git mailing list
Frugalware-git@frugalware.org
http://frugalware.org/mailman/listinfo/frugalware-git

Reply via email to